<template>
  <v-row no-gutters>
    <v-col>
      <v-img
        :src="require('../../assets/img/background/center.jpg')"
        gradient="to top left, rgba(0,0,0,.33), rgba(57, 57, 57, 0.9)"
        height="100vh"
      >
        <v-container fill-height>
          <v-row justify="center">
            <v-col cols="12">
              <v-row no-gutters justify="center">
                <login-card v-if="loginSelected" @forgot-password="changeSelected" />
                <forgot-password-card v-else @change="changeSelected" />
              </v-row>
            </v-col>
          </v-row>
        </v-container>
      </v-img>
    </v-col>
  </v-row>
</template>

<script>
import LoginCard from '~/components/Common/Login/LoginCard';
import ForgotPasswordCard from '~/components/Common/Login/ForgotPasswordCard';

export default {
  name: 'Login',
  components: {
    LoginCard,
    ForgotPasswordCard,
  },
  layout: 'Blank',
  data() {
    return {
      loginSelected: true,
    };
  },
  methods: {
    changeSelected() {
      this.loginSelected = !this.loginSelected;
    },
  },
};
</script>
